### Method

# Gck Enumerator next_async

#### Declaration [src]

    void
    gck_enumerator_next_async (
      GckEnumerator* self,
      gint max_objects,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Get the next set of objects from the enumerator. This operation completes asynchronously.The maximum number of objects can be specified with `max_objects`. If -1 is specified, then all the remaining objects will be enumerated.

#### Parameters

`max_objects`

  Type: `gint`

  The maximum number of objects to get.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the result is ready.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.